DirectAdmin 安装记录

|Font Size: | No Comments | Previous

  翻到一份DirectAdmin的安装记录,贴在这里供以后参考吧:

建议在screen下安装,以免安装过程中与服务器断开连接导致安装失败。关于screen的用法,可以参考:使用 screen 管理你的远程会话

[root@nyc2-01 ~]# ./setup.sh 
*** 64-bit OS ***

*****************************************************
*
* DirectAdmin requires certain packages, described here:
*   http://help.directadmin.com/item.php?id=354
*
* Would you like to install these required pre-install packages? (y/n): y
*
* Installing pre-install packages ....
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
 * base: mirror.es.its.nyu.edu
 * extras: mirrors.rit.edu
 * updates: mirror.us.leaseweb.net
Package wget-1.12-5.el6_6.1.x86_64 already installed and latest version
Package gcc-4.4.7-16.el6.x86_64 already installed and latest version
Package gcc-c++-4.4.7-16.el6.x86_64 already installed and latest version
Package flex-2.5.35-9.el6.x86_64 already installed and latest version
Package bison-2.4.1-5.el6.x86_64 already installed and latest version
Package 1:make-3.81-20.el6.x86_64 already installed and latest version
Package 32:bind-9.8.2-0.37.rc1.el6_7.6.x86_64 already installed and latest version
Package 32:bind-libs-9.8.2-0.37.rc1.el6_7.6.x86_64 already installed and latest version
Package 32:bind-utils-9.8.2-0.37.rc1.el6_7.6.x86_64 already installed and latest version
Package openssl-1.0.1e-42.el6_7.4.x86_64 already installed and latest version
Package openssl-devel-1.0.1e-42.el6_7.4.x86_64 already installed and latest version
Package 4:perl-5.10.1-141.el6_7.1.x86_64 already installed and latest version
Package 1:quota-3.17-23.el6.x86_64 already installed and latest version
Package libaio-0.3.107-10.el6.x86_64 already installed and latest version
Package libcom_err-devel-1.41.12-22.el6.x86_64 already installed and latest version
Package libcurl-devel-7.19.7-46.el6.x86_64 already installed and latest version
Package gd-2.0.35-11.el6.x86_64 already installed and latest version
Package zlib-devel-1.2.3-29.el6.x86_64 already installed and latest version
Package zip-3.0-1.el6_7.1.x86_64 already installed and latest version
Package unzip-6.0-2.el6_6.x86_64 already installed and latest version
Package libcap-devel-2.16-5.5.el6.x86_64 already installed and latest version
Package cronie-1.4.4-15.el6_7.1.x86_64 already installed and latest version
Package bzip2-1.0.5-7.el6_0.x86_64 already installed and latest version
Package cyrus-sasl-devel-2.1.23-15.el6_6.2.x86_64 already installed and latest version
Package perl-ExtUtils-Embed-1.28-141.el6_7.1.x86_64 already installed and latest version
Package autoconf-2.63-5.1.el6.noarch already installed and latest version
Package automake-1.11.1-4.el6.noarch already installed and latest version
Package libtool-2.2.6-15.5.el6.x86_64 already installed and latest version
Package which-2.19-6.el6.x86_64 already installed and latest version
Package patch-2.6-6.el6.x86_64 already installed and latest version
Package bzip2-devel-1.0.5-7.el6_0.x86_64 already installed and latest version
Package lsof-4.82-5.el6.x86_64 already installed and latest version
Package db4-devel-4.7.25-20.el6_7.x86_64 already installed and latest version
Package mailx-12.4-8.el6_6.x86_64 already installed and latest version
Nothing to do
*
*****************************************************

Please enter your Client ID : 66666
Please enter your License ID : 888888
Please enter your hostname (server.domain.com)
It must be a Fully Qualified Domain Name
Do *not* use a domain you plan on using for the hostname:
eg. don't use domain.com. Use server.domain.com instead.
Do not enter http:// or www

Enter your hostname (FQDN) : nyc2-01.mydomain.com
Client ID:  66666
License ID: 888888
Hostname: nyc2-01.mydomain.com
Is this correct? (y,n) : y
The following ethernet devices/IPs were found. Please enter the name of the device you wish to use:

eth0       161.243.241.22
eth1       

Enter the device name: eth0
Your external IP: 161.243.241.22
The external IP should typically match your license IP.

Is 161.243.241.22 the IP in your license? (y,n) : y

DirectAdmin will now be installed on: Enterprise 6.7
Is this correct? (must match license) (y,n) : y

You now have 4 options for your apache/php setup.

1: custombuild 2.0       Apache 2.4, mod_ruid2, php 5.5. Can be set to use mod_php, php-FPM or fastcgi.
2: custombuild 1.1:      end-of-life software.  Apache 2.x, php 4, 5, or both in cli and/or suphp. Defaults to php 5.2
3: custombuild 1.2:      Production version: Apache 2.x, php 5 in cli or suphp. Defaults to php 5.3
4: custombuild 2.0 BETA: Apache 2.4, php-fpm, php 5.6. Can be set to use mod_ruid2, mod_php, php-FPM or fastcgi.

      Post any issues with custombuild to the forum: http://forum.directadmin.com/forumdisplay.php?f=61

Enter your choice (1, 2, 3 or 4): 3
You have chosen custombuild 1.2.
--2016-03-15 01:50:29--  http://files.directadmin.com/services/custombuild/1.2/custombuild/build
Resolving files.directadmin.com... 208.167.226.3, 216.144.254.90, 69.162.69.58
Connecting to files.directadmin.com|208.167.226.3|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 333836 (326K)
Saving to: “/usr/local/directadmin/custombuild/build”

100%[==================================================================================================>] 333,836     --.-K/s   in 0.02s   

2016-03-15 01:50:29 (21.0 MB/s) - “/usr/local/directadmin/custombuild/build” saved [333836/333836]


Would you like the default settings of apache 2.2 and php 5.3 cli? (y/n): n
You have chosen to customize the custombuild options.  Please wait while options configurator is downloaded... 

Cannot find /usr/local/directadmin/custombuild/options.conf, writing defaults.
Downloading             versions.txt...
--2016-03-15 01:50:41--  http://files.directadmin.com/services/custombuild/versions.txt
Resolving files.directadmin.com... 208.167.226.3, 216.144.254.90, 69.162.69.58
Connecting to files.directadmin.com|208.167.226.3|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 10731 (10K) [text/plain]
Saving to: `/usr/local/directadmin/custombuild/versions.txt'

100%[==================================================================================================>] 10,731      --.-K/s   in 0s      

2016-03-15 01:50:41 (371 MB/s) - `/usr/local/directadmin/custombuild/versions.txt' saved [10731/10731]

Would you like to backup the current options.conf? (yes/no): no
Would you like to have PHP5 as CLI or CGI? (cli/cgi): cgi
Would you like to have ionCube? (yes/no): no
Would you like to have Zend Optimizer? (yes/no): yes
********
For new DirectAdmin installs, we don't recommend updating MySQL until after everything is finished
We recommend using 'no' here to use the already included precompiled binaries.
You can still update MySQL later.

Would you like to have an ability to update/instal MySQL using CustomBuild? (yes/no): yes
Which version of MySQL you would like to have? (5.0/5.1/5.5/5.6): 5.6
Which version of Apache you would like to have? (1.3/2.0/2.2): 2.2
Would you like to prevent htaccess files from using Options FollowSymLinks? More secure, but may break scripts. (yes/no): yes
Would you like to have an ability to update/instal Exim using CustomBuild? (yes/no): no
Would you like to have an ability to install Dovecot? (yes/no): no
Would you like to have an ability to install/update phpMyAdmin using CustomBuild? (yes/no): yes
Would you like to have an ability to install/update SquirrelMail webmail using CustomBuild? (yes/no): no
Would you like to have an ability to install/update RoundCube webmail using CustomBuild? (yes/no): no
Would you like to have an ability to install/update UebiMiau webmail using CustomBuild? (yes/no): no
Would you like to have an ability to install/update Atmail Open webmail using CustomBuild? (yes/no): no
Would you like to search for the fastest download mirror? (y/n): y

  安装完成后,用户名和密码会显示在终端上。

  如果你安装的是开心版,可能会遇到下面的问题(改用CentOS 5.x):

1. ld-linux.so.2: bad ELF interpreter

2. error while loading shared libraries: libssl.so.6

本文结束。

Leave a comment